## r-cran-batchtools 0.9.8

=== DESCRIPTION ===
Package: batchtools
Title: Tools for Computation on Batch Systems
Version: 0.9.8
Authors@R: c(
    person("Michel", "Lang", NULL, "michellang@gmail.com",
      role = c("cre", "aut"), comment = c(ORCID = "0000-0001-9754-0393")),
    person("Bernd", "Bischl", NULL, "bernd_bischl@gmx.de", role = "aut"),
    person("Dirk", "Surmann", NULL, "surmann@statistik.tu-dortmund.de", role = "ctb")
    )
Description: As a successor of the packages 'BatchJobs' and 'BatchExperiments',
    this package provides a parallel implementation of the Map function for high
    performance computing systems managed by schedulers 'IBM Spectrum LSF'
    (<http://www-03.ibm.com/systems/spectrum-computing/products/lsf/>),
    'OpenLava' (<http://www.openlava.org/>), 'Univa Grid Engine'/'Oracle Grid
    Engine' (<http://www.univa.com/>), 'Slurm' (<http://slurm.schedmd.com/>),
    'TORQUE/PBS'
    (<http://www.adaptivecomputing.com/products/open-source/torque/>), or
    'Docker Swarm' (<https://docs.docker.com/swarm/>).
    A multicore and socket mode allow the parallelization on a local machines,
    and multiple machines can be hooked up via SSH to create a makeshift
    cluster. Moreover, the package provides an abstraction mechanism to define
    large-scale computer experiments in a well-organized and reproducible way.
License: LGPL-3
URL: https://github.com/mllg/batchtools
BugReports: https://github.com/mllg/batchtools/issues
NeedsCompilation: yes
ByteCompile: yes
Depends: R (>= 3.0.0), data.table (>= 1.10.4)
Imports: backports (>= 1.1.2), base64url (>= 1.1), brew, checkmate (>=
        1.8.5), digest (>= 0.6.9), parallel, progress (>= 1.1.1), R6,
        rappdirs, stats, stringi, utils, withr (>= 2.0.0)
Suggests: debugme, doParallel, doMPI, e1071, foreach,
        future.batchtools, knitr, parallelMap, ranger, rmarkdown,
        rpart, snow, testthat, tibble
VignetteBuilder: knitr
RoxygenNote: 6.0.1
Packaged: 2017-12-14 21:59:37 UTC; michel
Author: Michel Lang [cre, aut] (0000-0001-9754-0393),
  Bernd Bischl [aut],
  Dirk Surmann [ctb]
Maintainer: Michel Lang <michellang@gmail.com>
Repository: CRAN
Date/Publication: 2017-12-15 13:16:20 UTC

=== debian/changelog ===
r-cran-batchtools (0.9.8-2) unstable; urgency=medium

  * Rebuild for r-api 3.5
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Wed, 15 Aug 2018 09:13:41 +0200

r-cran-batchtools (0.9.8-1) unstable; urgency=medium

  * Initial release (closes: #898063)

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 17:17:08 +0200

=== debian/control ===
Source: r-cran-batchtools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-data.table (>= 1.10.4),
               r-cran-backports (>= 1.1.2),
               r-cran-brew,
               r-cran-checkmate (>= 1.8.5),
               r-cran-digest (>= 0.6.9),
               r-cran-progress,
               r-cran-r6,
               r-cran-stringi,
               r-cran-withr (>= 2.0.0),
               r-cran-base64url,
               r-cran-rappdirs
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-batchtools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-batchtools.git
Homepage: https://cran.r-project.org/package=batchtools

Package: r-cran-batchtools
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R tools for computation on batch systems
 As a successor of the packages 'BatchJobs' and 'BatchExperiments',
 this package provides a parallel implementation of the Map function for
 high performance computing systems managed by schedulers IBM Spectrum LSF
 OpenLava, Univa Grid Engine/Oracle Grid Engine, Slurm, TORQUE/PBS, or
 Docker Swarm.
 .
 A multicore and socket mode allow the parallelization on a local machines,
 and multiple machines can be hooked up via SSH to create a makeshift
 cluster. Moreover, the package provides an abstraction mechanism to define
 large-scale computer experiments in a well-organized and reproducible way.

## r-cran-batchtools 0.9.11

=== DESCRIPTION ===
Package: batchtools
Title: Tools for Computation on Batch Systems
Version: 0.9.11
Authors@R: c(
    person("Michel", "Lang", NULL, "michellang@gmail.com",
      role = c("cre", "aut"), comment = c(ORCID = "0000-0001-9754-0393")),
    person("Bernd", "Bischl", NULL, "bernd_bischl@gmx.de", role = "aut"),
    person("Dirk", "Surmann", NULL, "surmann@statistik.tu-dortmund.de",
      role = "ctb", comment = c(ORCID = "0000-0003-0873-137X"))
    )
Description: As a successor of the packages 'BatchJobs' and 'BatchExperiments',
    this package provides a parallel implementation of the Map function for high
    performance computing systems managed by schedulers 'IBM Spectrum LSF'
    (<https://www.ibm.com/us-en/marketplace/hpc-workload-management>),
    'OpenLava' (<http://www.openlava.org/>), 'Univa Grid Engine'/'Oracle Grid
    Engine' (<http://www.univa.com/>), 'Slurm' (<http://slurm.schedmd.com/>),
    'TORQUE/PBS'
    (<http://www.adaptivecomputing.com/products/open-source/torque/>), or
    'Docker Swarm' (<https://docs.docker.com/swarm/>).
    A multicore and socket mode allow the parallelization on a local machines,
    and multiple machines can be hooked up via SSH to create a makeshift
    cluster. Moreover, the package provides an abstraction mechanism to define
    large-scale computer experiments in a well-organized and reproducible way.
License: LGPL-3
URL: https://github.com/mllg/batchtools
BugReports: https://github.com/mllg/batchtools/issues
NeedsCompilation: yes
ByteCompile: yes
Encoding: UTF-8
Depends: R (>= 3.0.0), data.table (>= 1.11.2)
Imports: backports (>= 1.1.2), base64url (>= 1.1), brew, checkmate (>=
        1.8.5), digest (>= 0.6.9), fs (>= 1.2.0), parallel, progress
        (>= 1.1.1), R6, rappdirs, stats, stringi, utils, withr (>=
        2.0.0)
Suggests: debugme, doParallel, doMPI, e1071, foreach, future,
        future.batchtools, knitr, parallelMap, ranger, rmarkdown,
        rpart, snow, testthat, tibble
VignetteBuilder: knitr
RoxygenNote: 6.1.0
Packaged: 2018-08-16 08:20:25 UTC; lang
Author: Michel Lang [cre, aut] (<https://orcid.org/0000-0001-9754-0393>),
  Bernd Bischl [aut],
  Dirk Surmann [ctb] (<https://orcid.org/0000-0003-0873-137X>)
Maintainer: Michel Lang <michellang@gmail.com>
Repository: CRAN
Date/Publication: 2018-08-16 11:40:03 UTC

=== debian/changelog ===
r-cran-batchtools (0.9.11-2) unstable; urgency=medium

  * Team upload.
  * Add r-cran-ranger to test-depends.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 06 Dec 2018 08:05:28 +0100

r-cran-batchtools (0.9.11-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 11 Sep 2018 09:13:13 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,19 @@
 Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
-               r-cran-data.table (>= 1.10.4),
+               r-cran-data.table (>= 1.11.2),
                r-cran-backports (>= 1.1.2),
+               r-cran-base64url,
                r-cran-brew,
                r-cran-checkmate (>= 1.8.5),
                r-cran-digest (>= 0.6.9),
+               r-cran-fs,
                r-cran-progress,
                r-cran-r6,
+               r-cran-rappdirs,
                r-cran-stringi,
-               r-cran-withr (>= 2.0.0),
-               r-cran-base64url,
-               r-cran-rappdirs
-Standards-Version: 4.2.0
+               r-cran-withr (>= 2.0.0)
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-batchtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-batchtools.git
 Homepage: https://cran.r-project.org/package=batchtools

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/batchtools_([-\d.]*)\.tar\.gz

## r-cran-batchtools 0.9.12

=== DESCRIPTION ===
Package: batchtools
Title: Tools for Computation on Batch Systems
Version: 0.9.12
Authors@R: c(
    person("Michel", "Lang", NULL, "michellang@gmail.com",
      role = c("cre", "aut"), comment = c(ORCID = "0000-0001-9754-0393")),
    person("Bernd", "Bischl", NULL, "bernd_bischl@gmx.net", role = "aut"),
    person("Dirk", "Surmann", NULL, "surmann@statistik.tu-dortmund.de",
      role = "ctb", comment = c(ORCID = "0000-0003-0873-137X"))
    )
Description: As a successor of the packages 'BatchJobs' and 'BatchExperiments',
    this package provides a parallel implementation of the Map function for high
    performance computing systems managed by schedulers 'IBM Spectrum LSF'
    (<https://www.ibm.com/us-en/marketplace/hpc-workload-management>),
    'OpenLava' (<http://www.openlava.org/>), 'Univa Grid Engine'/'Oracle Grid
    Engine' (<http://www.univa.com/>), 'Slurm' (<http://slurm.schedmd.com/>),
    'TORQUE/PBS'
    (<https://adaptivecomputing.com/cherry-services/torque-resource-manager/>),
    or 'Docker Swarm' (<https://docs.docker.com/swarm/>).
    A multicore and socket mode allow the parallelization on a local machines,
    and multiple machines can be hooked up via SSH to create a makeshift
    cluster. Moreover, the package provides an abstraction mechanism to define
    large-scale computer experiments in a well-organized and reproducible way.
License: LGPL-3
URL: https://github.com/mllg/batchtools
BugReports: https://github.com/mllg/batchtools/issues
NeedsCompilation: yes
ByteCompile: yes
Encoding: UTF-8
Depends: R (>= 3.0.0)
Imports: backports (>= 1.1.2), base64url (>= 1.1), brew, checkmate (>=
        1.8.5), data.table (>= 1.11.2), digest (>= 0.6.9), fs (>=
        1.2.0), parallel, progress (>= 1.1.1), R6, rappdirs, stats,
        stringi, utils, withr (>= 2.0.0)
Suggests: debugme, doParallel, doMPI, e1071, foreach, future,
        future.batchtools, knitr, parallelMap, ranger, rmarkdown,
        rpart, snow, testthat, tibble
VignetteBuilder: knitr
RoxygenNote: 7.0.2
Packaged: 2020-01-10 12:29:39 UTC; lang
Author: Michel Lang [cre, aut] (<https://orcid.org/0000-0001-9754-0393>),
  Bernd Bischl [aut],
  Dirk Surmann [ctb] (<https://orcid.org/0000-0003-0873-137X>)
Maintainer: Michel Lang <michellang@gmail.com>
Repository: CRAN
Date/Publication: 2020-01-10 16:30:07 UTC

=== debian/changelog ===
r-cran-batchtools (0.9.12-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 12 Jan 2020 21:35:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-data.table (>= 1.11.2),
                r-cran-backports (>= 1.1.2),
                r-cran-base64url,
                r-cran-brew,
                r-cran-checkmate (>= 1.8.5),
+               r-cran-data.table (>= 1.11.2),
                r-cran-digest (>= 0.6.9),
                r-cran-fs,
                r-cran-progress,
@@ -19,7 +19,7 @@
                r-cran-rappdirs,
                r-cran-stringi,
                r-cran-withr (>= 2.0.0)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-batchtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-batchtools.git
 Homepage: https://cran.r-project.org/package=batchtools

## r-cran-batchtools 0.9.13

=== debian/changelog ===
r-cran-batchtools (0.9.13-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 31 May 2020 05:50:26 +0000

r-cran-batchtools (0.9.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 21 Mar 2020 10:10:58 +0100

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,11 @@
                r-cran-rappdirs,
                r-cran-stringi,
                r-cran-withr (>= 2.0.0)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-batchtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-batchtools.git
 Homepage: https://cran.r-project.org/package=batchtools
+Rules-Requires-Root: no
 
 Package: r-cran-batchtools
 Architecture: any

## r-cran-batchtools 0.9.15+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: batchtools
 Title: Tools for Computation on Batch Systems
-Version: 0.9.12
+Version: 0.9.15
 Authors@R: c(
     person("Michel", "Lang", NULL, "michellang@gmail.com",
       role = c("cre", "aut"), comment = c(ORCID = "0000-0001-9754-0393")),
@@ -11,12 +11,12 @@
 Description: As a successor of the packages 'BatchJobs' and 'BatchExperiments',
     this package provides a parallel implementation of the Map function for high
     performance computing systems managed by schedulers 'IBM Spectrum LSF'
-    (<https://www.ibm.com/us-en/marketplace/hpc-workload-management>),
-    'OpenLava' (<http://www.openlava.org/>), 'Univa Grid Engine'/'Oracle Grid
-    Engine' (<http://www.univa.com/>), 'Slurm' (<http://slurm.schedmd.com/>),
+    (<https://www.ibm.com/products/hpc-workload-management>),
+    'OpenLava' (<https://www.openlava.org/>), 'Univa Grid Engine'/'Oracle Grid
+    Engine' (<https://www.univa.com/>), 'Slurm' (<https://slurm.schedmd.com/>),
     'TORQUE/PBS'
     (<https://adaptivecomputing.com/cherry-services/torque-resource-manager/>),
-    or 'Docker Swarm' (<https://docs.docker.com/swarm/>).
+    or 'Docker Swarm' (<https://docs.docker.com/engine/swarm/>).
     A multicore and socket mode allow the parallelization on a local machines,
     and multiple machines can be hooked up via SSH to create a makeshift
     cluster. Moreover, the package provides an abstraction mechanism to define
@@ -36,11 +36,11 @@
         future.batchtools, knitr, parallelMap, ranger, rmarkdown,
         rpart, snow, testthat, tibble
 VignetteBuilder: knitr
-RoxygenNote: 7.0.2
-Packaged: 2020-01-10 12:29:39 UTC; lang
+RoxygenNote: 7.1.1
+Packaged: 2021-01-11 08:21:55 UTC; michel
 Author: Michel Lang [cre, aut] (<https://orcid.org/0000-0001-9754-0393>),
   Bernd Bischl [aut],
   Dirk Surmann [ctb] (<https://orcid.org/0000-0003-0873-137X>)
 Maintainer: Michel Lang <michellang@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-01-10 16:30:07 UTC
+Date/Publication: 2021-01-11 12:40:03 UTC

=== debian/changelog ===
r-cran-batchtools (0.9.15+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 08:47:54 +0100

r-cran-batchtools (0.9.14+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2020 14:10:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-backports (>= 1.1.2),
@@ -19,7 +19,7 @@
                r-cran-rappdirs,
                r-cran-stringi,
                r-cran-withr (>= 2.0.0)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-batchtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-batchtools.git
 Homepage: https://cran.r-project.org/package=batchtools

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/batchtools_([-\d.]*)\.tar\.gz

## r-cran-batchtools 0.9.16+dfsg

=== debian/changelog ===
r-cran-batchtools (0.9.16+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * More generic lintian-overrides
  * Fix permissions

 -- Andreas Tille <tille@debian.org>  Thu, 09 Feb 2023 11:34:33 +0100

## r-cran-batchtools 0.9.17+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: batchtools
 Title: Tools for Computation on Batch Systems
-Version: 0.9.15
+Version: 0.9.17
 Authors@R: c(
     person("Michel", "Lang", NULL, "michellang@gmail.com",
       role = c("cre", "aut"), comment = c(ORCID = "0000-0001-9754-0393")),
@@ -36,11 +36,11 @@
         future.batchtools, knitr, parallelMap, ranger, rmarkdown,
         rpart, snow, testthat, tibble
 VignetteBuilder: knitr
-RoxygenNote: 7.1.1
-Packaged: 2021-01-11 08:21:55 UTC; michel
+RoxygenNote: 7.2.3
+Packaged: 2023-04-20 11:51:42 UTC; michel
 Author: Michel Lang [cre, aut] (<https://orcid.org/0000-0001-9754-0393>),
   Bernd Bischl [aut],
   Dirk Surmann [ctb] (<https://orcid.org/0000-0003-0873-137X>)
 Maintainer: Michel Lang <michellang@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-01-11 12:40:03 UTC
+Date/Publication: 2023-04-20 14:20:06 UTC

=== debian/changelog ===
r-cran-batchtools (0.9.17+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 09 Jun 2023 21:06:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-backports (>= 1.1.2),
+               r-cran-backports,
                r-cran-base64url,
                r-cran-brew,
-               r-cran-checkmate (>= 1.8.5),
-               r-cran-data.table (>= 1.11.2),
-               r-cran-digest (>= 0.6.9),
+               r-cran-checkmate,
+               r-cran-data.table,
+               r-cran-digest,
                r-cran-fs,
                r-cran-progress,
                r-cran-r6,
                r-cran-rappdirs,
                r-cran-stringi,
-               r-cran-withr (>= 2.0.0)
-Standards-Version: 4.5.1
+               r-cran-withr
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-batchtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-batchtools.git
 Homepage: https://cran.r-project.org/package=batchtools

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.tmpl" -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-ranger
Restrictions: allow-stderr

## r-cran-batchtools 0.9.18+dfsg

=== debian/changelog ===
r-cran-batchtools (0.9.18+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  Set upstream metadata fields: Repository, Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Thu, 11 Dec 2025 15:15:18 +0900

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,10 @@
                r-cran-r6,
                r-cran-rappdirs,
                r-cran-stringi,
-               r-cran-withr
-Standards-Version: 4.6.2
+               r-cran-withr,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-batchtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-batchtools.git
 Homepage: https://cran.r-project.org/package=batchtools

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-doparallel,
        r-cran-e1071,
        r-cran-foreach,
        r-cran-future,
        r-cran-future.batchtools,
        r-cran-knitr,
        r-cran-parallelmap,
        r-cran-ranger,
        r-cran-rmarkdown,
        r-cran-rpart,
        r-cran-snow,
        r-cran-testthat,
        r-cran-tibble
Restrictions: allow-stderr
